mui.init({})
(function($) {
	var result = $('#start_data')[0];
	var btns = $('.btn');
	btns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				result.value = rs.text;
				picker.dispose();
			});
		}, false);
	});
})
var openid = helper.cookies.get("openid");	

$(function() {
	
	//提交按钮
	$('#submit').on('tap', function() {
		var myreg = /^[1][3,4,5,7,8][0-9]{9}$/;
		var myreg11 = /^(([0\+]\d{2,3}-)?((0\d{2,3}))?(-)?)?(\d{7,8})(-(\d{3,}))?$/;
		//var pattern =  /^([1-9]{1})(\d{14}|\d{18})$/; 
		var str = $("#phone").val();
//		var strBank=$('#bankAccount').val();
		if($('#invoiceResult').val() == ''){
			mui.alert('请选择发票类型！') //请输入工单类型
			return;
		}
		if($('#cusName').val() == ''){
			mui.alert('请填写客户姓名！') //请输入工单类型
			return;
		}
		 if($('#taxidNum').val() == ''){
			mui.alert('请输入识别号！') //请输入工单类型
			return;
		}
		if($('#address').val() == ''){
			mui.alert('请输入地址！') //请输入工单类型
			return;
		}
		if($('#phone').val() == ''){
			mui.alert('请输入电话！') //请输入工单类型
			return;
		}
		if(!myreg.test(str)&&!myreg11.test(str)){
			mui.alert('电话号码格式不正确！') //请输入工单类型
			return;
		}
		if($('#bank').val() == ''){
			mui.alert('请输入开户行！') //请输入工单类型
			return;
		}
		if($('#bankAccount').val() == ''){
			mui.alert('请输入开户行号码！') //请输入工单类型
			return;
		}
		if($('#proName').val() == '') {
			mui.alert('请填写项目名称！') //请输入工单类型
			return;
		}
		if($('#unit').val() == ''){
			mui.alert('请输入单位！') //请输入工单类型
			return;
		}
		if($('#amount').val() == ''){
			mui.alert('请输入数量！') //请输入工单类型
			return;
		}
		if($('#amount').val() == ''){
			mui.alert('请输入数量！') //请输入工单类型
			return;
		}
		if($('#unitPrice').val() == ''){
			mui.alert('请输入单价！') //请输入工单类型
			return;
		}
		if($('#sumPrice').val() == ''){
			mui.alert('请输入金额！') //请输入工单类型
			return;
		}
		if($('#rateResult').val() == ''){
			mui.alert('请选择税率！') //请输入工单类型
			return;
		}
		if($('#taxAmount').val() == ''){
			mui.alert('请输入税额！') //请输入工单类型
			return;
		}
		if($('#billingMethod').val() == ''){
			mui.alert('请输入开票方式！') //请输入工单类型
			return;
		}
		
		if($('#start_data').val() == ''){
			mui.alert('请选择开票日期！') //请输入工单类型
			return;
		}
		if($('#remark').val() == ''){
			mui.alert('请输入备注！') //请输入工单类型
			return;
		}
		$.ajax({
			type: "post",
			dataType: 'json',
			url: huayi.config.callcenter_url + 'WxLogin/AddBill',
			async: true,
			data: {
				billtype: $('#invoiceResult').val(), //开票类型
				cusname: $('#cusName').val(), //客户名称
				taxidnum: $('#taxidNum').val(), //纳税人识别号	
				address: $('#address').val(), //地址
				phone: $("#phone").val(), //电话
				bank: $("#bank").val(), //开户行
				bankaccount: $("#bankAccount").val(), //开户行账号
				proname: $('#proName').val(), //项目名称
				models: $('#models').val(), //型号
				unit: $('#unit').val(), //单位
				amount: $('#amount').val(), //数量
				unitprice: $('#unitPrice').val(), //单价
				sumprice: $('#sumPrice').val(), //金额
				taxrate: $('#rateResult').val(), //税率
				taxamount: $('#taxAmount').val(), //税额
				billingmethod: $('#billingMethod').val(), //开票方式：快递/自取	
				billingtime: $('#start_data').val(), //开票时间
				remark: $('#remark').val(), //备注
				openid:openid,
				//openid: 'oXF5e1mWpX5DajW5_yjNLPKb8ThE',
			},
			success: function(data) {
				if(data.state == "success") {
					debugger
					mui.toast('开票成功');
					$('#invoiceResult').val(""); //开票类型
					$('#cusName').val(""); //客户名称
					$('#taxidNum').val(""); //纳税人识别号	
					$('#address').val(""); //地址
					$("#phone").val("");//电话
					$("#bank").val(""); //开户行
					$("#bankAccount").val(""); //开户行账号
					$('#proName').val(""); //项目名称
					$('#models').val(""); //型号
					$('#unit').val(""); //单位
					$('#amount').val(""); //数量
					$('#unitPrice').val(""); //单价
					$('#sumPrice').val(""); //金额
					$('#rateResult').val(""); //税率
					$('#taxAmount').val(""); //税额
					$('#billingMethod').val(""); //开票方式：快递/自取	
					$('#start_data').val(""); //开票时间
					remark: $('#remark').val(""); //备注
				} else {

					mui.toast(data.message);
				}
			}
		});
	})
	
})

